Bug 55928 - Dell 1550 Server will not mount partitions after the initial O/S install.
Dell 1550 Server will not mount partitions after the initial O/S install.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-08 17:36 EST by Garry Glaser
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-19 15:53:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry Glaser 2001-11-08 17:36:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
This is the sequence of events during the first boot after the initial 
install of 7.2 O/S with any packages:

Mounting /proc filesystem
Mounting root device
Mounting root filesystem
Mount: error 19 mounting ext3
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed :2
Freeing unused kernel memory 220k freed
kernel panic: no init found.  Try passing init=option to kernel

The server is now halted... see aditional info for hardware evironment.

I have tried many variation in the install options including smaller 
partitions but the results are always the same.  I have never had a 
problem during the intall.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run the RedHat 7.2 Installer using all defautls.
2.After the reboot system cannot mount root or any partions.
3.
	

Actual Results:  Server hangs with:
Mount: error 19 mounting ext3
pivotroot: pivot_root (/sysroot, /sysroot/initrd) failed :2
Freeing unused kernel memory 220k freed
kernel panic: no init found.  Try passing init=option to kernel


Expected Results:  Server should mount all partions and continue boot.

Additional info:

Hardware Used:
Dell PowerEdge 1550 Bios A04, 256K L2 Cache, 512MB DRAM, 4MB Video DRAM 
PIII 1GHz.
The integated Adaptec 7899 SCSI controller is active but no drives are 
attached.

Avtive Disk controller: Adaptec RAID controller 2100s with 128MB ECC
FW:37
Bios V00.1.3W
RAID configuration: all three drives are RAID5 single volume.
Disk controller config: factory defaults.
Drivers used: Tried latest from adaptec and the one's bundled in 7.2


Disk Drives: Three Seagate ST318404LC (18GB)
Comment 1 Brent Fox 2001-11-08 22:27:09 EST
Is there a way to disable the onboard SCSI in the bios?  I think the problem is
that the designates the primary controller as the first one it finds as it scans
the PCI bus order.  If the integrated controller is found first, that's the one
it tries to boot from.  Does that help?  That's just a guess, but it's the first
thing that comes to mind.
Comment 2 Garry Glaser 2001-11-09 00:19:49 EST
I attempted to disable the integrated SCSI in the BIOS but there was not an 
option for this.  It shows "Present" as the only option and cannot be changed 
in the BIOS. 

I will consult the manual to see if I have missed something and report back to 
you tomorrow with the results.


Comment 3 Garry Glaser 2001-11-09 11:47:28 EST
According to Dell, the integated Adaptec 7899 SCSI controller on the 1550 
cannot be disabled.

What next?

Comment 4 Brent Fox 2001-11-09 16:25:36 EST
Can you attach the initrd?  If it's too big, can you email it as an attachment
to me?
Comment 5 Jeremy Katz 2001-11-19 15:53:13 EST
What does the boot loader config look like (/boot/grub/grub.conf if using grub,
/etc/lilo.conf for lilo)?  It looks like the root= option to the kernel isn't
correct
Comment 6 Brent Fox 2001-12-08 12:36:16 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 7 Garry Glaser 2001-12-10 10:20:19 EST
This problem has been resolved.  See link

http://people.redhat.com/tcallawa/dpt 


Note You need to log in before you can comment on or make changes to this bug.